### Virtual Method

# Camel Settings equal

since: 3.2

#### Declaration [src]

    gboolean
    equal (
      CamelSettings* settings_a,
      CamelSettings* settings_b
    )

#### Description [src]

Returns `TRUE` if `settings_a` and `settings_b` are equal.

By default, equality requires both instances to have the same `GType` with the same set of `GObject` properties, and each property value in `settings_a` is equal to the corresponding value in `settings_b`.

Available since: 3.2

#### Parameters

`settings_b`

  Type: `CamelSettings`

  Another `CamelSettings`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `settings_a` and `settings_b` are equal.